%define name seed
%define version 2.28.1
%define release %mkrel 1

%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Summary: GObject JavaScriptCore bridge
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
#gw libseed is LGPL, seed is GPL
License: LGPLv3+ and GPLv3+
Group: Development/Other
Url: http://live.gnome.org/Seed
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: ffi5-devel
BuildRequires: gobject-introspection-devel >= 0.6.3
BuildRequires: gnome-js-common
BuildRequires: webkitgtk-devel
BuildRequires: readline-devel
BuildRequires: sqlite3-devel
BuildRequires: dbus-glib-devel
BuildRequires: mpfr-devel
BuildRequires: gtk-doc
BuildRequires: intltool
Requires: %libname = %version-%release

%description
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.


%package -n %libname
Group: System/Libraries
Summary: GObject JavaScriptCore bridge - shared library

%description -n %libname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.

%package -n %develname
Summary: GObject JavaScriptCore bridge - development library
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release

%description -n %develname
Seed is a library and interpreter, dynamically bridging (through
GObjectIntrospection) the WebKit JavaScriptCore engine, with the
GObject type system. In a more concrete sense, Seed enables you to
immediately write applications around a significant portion of the
GNOME platform, and easily embed JavaScript as a scripting-language in
your GObject library.


%prep
%setup -q

%build
%define _disable_ld_no_undefined 1
%configure2_5x --enable-gtk-doc --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%_bindir/seed
%_datadir/seed
%_mandir/man1/seed.1*
%_libdir/seed

%files -n %libname
%defattr(-,root,root)
%_libdir/libseed.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc ChangeLog
%_libdir/libseed.so
%_libdir/libseed.la
%_libdir/pkgconfig/seed.pc
%_includedir/seed
%_datadir/gtk-doc/html/seed


%changelog
* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458791
- Release 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446172
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437441
- update to new version 2.27.92

* Sat Aug 22 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 419417
- update to new version 2.27.91

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 414478
- update to new version 2.27.90

* Sat Jul 11 2009 Götz Waschk <waschk@mandriva.org> 0.8.5-1mdv2010.0
+ Revision: 394732
- update build deps
- new version
- add man page

* Fri May 29 2009 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2010.0
+ Revision: 381153
- new version
- update deps
- update file list
- fix installation
- update deps

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 0.7-2mdv2010.0
+ Revision: 376858
- fix installation on x86_64
- update build deps
- new version
- drop patches
- bump deps
- disable --no-undefined

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.1-5mdv2009.1
+ Revision: 354388
- Rebuild for new webkit major

* Wed Feb 25 2009 Götz Waschk <waschk@mandriva.org> 0.3.1-4mdv2009.1
+ Revision: 344844
- fix patch 2

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.3.1-3mdv2009.1
+ Revision: 332451
- import seed


